{ config, pkgs, ... }:

{
  # Looks as if TrueCrypt is unfree software
  #   https://github.com/NixOS/nixpkgs/blob/5d017a8822e0907fb96f7700a319f9fe2434de02/pkgs/applications/misc/veracrypt/default.nix#L59
  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
    "veracrypt"
  ];

  users.users.yoda = {
    packages = with pkgs; [
      veracrypt # Encrypted filesystem
    ];
  };
}
